# Generated by Django 2.1.4 on 2019-06-13 12:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('proj', '0002_scenario_public_name_fr'),
    ]

    operations = [
        migrations.CreateModel(
            name='NetcdfData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FileField(max_length=300, upload_to='')),
                ('model', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.ClimateModel')),
                ('param', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Parameter')),
                ('scen', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Scenario')),
            ],
        ),
        migrations.CreateModel(
            name='ZonedData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('file', models.FilePathField(path='/home/climap/geoportail/hdf5/zonedmetrics', recursive=True)),
            ],
        ),
        migrations.RemoveField(
            model_name='monthlydata',
            name='metric',
        ),
        migrations.RemoveField(
            model_name='monthlydata',
            name='model',
        ),
        migrations.RemoveField(
            model_name='monthlydata',
            name='scenario',
        ),
        migrations.RemoveField(
            model_name='monthlydata',
            name='zone',
        ),
        migrations.AlterModelOptions(
            name='metric',
            options={'ordering': ('category', 'shortname', 'name')},
        ),
        migrations.AddField(
            model_name='place',
            name='show',
            field=models.BooleanField(blank=True, default=True),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='dailyregiondata',
            name='file',
            field=models.FilePathField(max_length=200, path='/home/climap/geoportail/hdf5/debiased', recursive=True),
        ),
        migrations.AlterField(
            model_name='metric',
            name='shortname',
            field=models.CharField(blank=True, help_text='For export and ordering, and netcdf import.', max_length=20, null=True),
        ),
        migrations.DeleteModel(
            name='MonthlyData',
        ),
        migrations.AddField(
            model_name='zoneddata',
            name='metric',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Metric'),
        ),
        migrations.AddField(
            model_name='zoneddata',
            name='zone',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proj.Zone'),
        ),
    ]
